Copy DNS records to a domain zone

Copy a set of DNS records to a specific domain zone. A jobId is returned to track the job via GET /api/jobs/{jobId} or to check the domain via GET /api/domain-check/{jobId}.

Domains & DNS DNS

Context

Where to get IDs / values

Workflow links

Path Parameters

zoneId integer · min: 1 required Example: EXAMPLE_ZONE_ID

Unique zone identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
records array required · Example: [{"type":"CNAME","name":"www","value":"example.com","ttl":3600},{"type":"MX","name":"@"...

Responses

200
data object required
data.jobId string required · Example: 11
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

message string required · Example: Invalid record TXT @: Invalid SPF record syntax. Example: v=spf1 include:_spf.example.c...

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/dns/zones/{zoneId}/smartcopy
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/dns/zones/EXAMPLE_ZONE_ID/smartcopy" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "records": [
      {
        "type": "CNAME",
        "name": "www",
        "value": "example.com",
        "ttl": 3600
      },
      {
        "type": "MX",
        "name": "@",
        "value": "mx.example.com",
        "ttl": 3600,
        "priority": 10
      },
      {
        "type": "CAA",
        "name": "@",
        "value": "0 issue \"example.com\"",
        "ttl": 3600
      }
    ]
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "jobId": "11"
  }
}
Request Body Example 1
{
  "records": [
    {
      "type": "CNAME",
      "name": "www",
      "value": "example.com",
      "ttl": 3600
    },
    {
      "type": "MX",
      "name": "@",
      "value": "mx.example.com",
      "ttl": 3600,
      "priority": 10
    },
    {
      "type": "CAA",
      "name": "@",
      "value": "0 issue \"example.com\"",
      "ttl": 3600
    }
  ]
}